Notus API
Smart wallets

Request Tax Transactions Export

Request a tax transactions export for a wallet. The report will be generated by an external tax API and sent to the provided email address.

POST
/api/v1/wallets/{walletAddress}/tax-export

Authorization

x-api-key
x-api-key<token>

In: header

Path Parameters

walletAddress*string

Wallet address to export tax transactions

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/wallets/0xa2acc967a9fc4fd5d18351d06deb9b8718c18333/tax-export" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com",    "individual": {      "type": "individual",      "individualId": "string"    }  }'
Empty